* {
  margin: 0;
  padding: 0;
}
body{
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  margin-bottom: 5%;
}
header span {
  display: block;
}
.CalculatorHeader{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.Name{
  font-style: italic;
  font-weight: bold;
  color:black;
}
.calculator {
  background-color: aliceblue;
  border: rgb(255, 0, 255) 3px solid;
}
.input {
  border: orangered 2px dashed;
  color: brown;
}
.buttons {
  display: grid;
}
.Button {
  border: red 2px dotted;
  background-color: white;
  color: #ff1493;
  font-weight: bold;
}
.NumberButton {
  border-color: blue;
  font-weight: normal;
  color: red;
}
.Button:hover {
  background-color: #ff1493;
  color: white;
  border: none;
}
.Button:active {
  color: #ff1493;
  background-color: white;
  border: black 2px dashed;
}
.ACButton{
  color: white;
  background-color: #ff1493;
  border: none;
}
@media (max-width: 1023px) {
  header {
    margin: 10% 5%;
  }
  .Name{
    letter-spacing: 1px;
  }
  .CalculatorHeader{
    padding: 4%;
  }
  .input {
    width: 70%;
    font-size: 20px;
    padding: 8%;
    height: 40px;
    border-radius: 50%;
  }
  .calculator {
    width: 70%;
    height: 390px;
    border-radius: 5%;
    margin-bottom: 10%;
  }
  .Button {
    font-size: 17px;
    border-radius: 50%;
    width: 50px;
    height: 30px;
  }
  .buttons {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 10px;
    padding: 10%;
  }
  img{
    width: 15%;
  }
  .description{
    padding: 3%;
  }
  .codsoft{
    margin-left:-8px;
  }
}
@media (max-width:320px){
  .buttons{
    row-gap: 10px;
  }
}
@media (min-width:320px) and (max-width:376px){
  .buttons{
    row-gap: 7px;
  }
}
@media (min-width:376px) and (max-width:426px){
  .buttons{
    row-gap: 4px;
    column-gap: 45px;
  }
}
@media (min-width:426px) and (max-width:768px){
  .buttons{
    grid-template-columns: repeat(9,1fr);
    row-gap: 20px;
    margin: 0;
    margin-top: 5%;
    padding: 1%;
  }
}
@media (min-width:1024px){
  header{
    margin: 3%;
  }
  img{
    width: 10%;
    margin-left: 3%;
    margin-top: 2%;
  }
  .codsoft{
    margin-left: -15px;
  }
  .Name{
    margin-right: 3%;
  }
  .CalculatorHeader{
    display: flex;
    justify-content: space-between;
    margin-top: 2%;
  }
  .calculator{
    width: 30%;
    height: 460px;
  }
  .buttons{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    row-gap: 12px;
    padding-left: 13%;
    padding-top: 4%;
  }
  .input {
    width: 70%;
    font-size: 20px;
    margin-top: 3%;
    padding: 8%;
    height: 35px;
    border-radius: 50%;
  }
  .Button {
    font-size: 17px;
    border-radius: 50%;
    width: 55px;
    height: 35px;
  }
  .description{
    padding: 3% 7%;
    font-size: 28px;
  }
}
